require 'spec_helper'

describe CancelFillOutRequest do
  let(:options)  { {dossier_id: 'some_dossier_id', fill_out_request_id: 'some_fill_out_request_id'} }
  let(:response) { httparty_response({}) }
  let(:session)  { Fabricate :basic_auth_session }
  before do
    allow(Sessions::BasicAuthSession).to receive(:new).and_return session
    allow(session).to receive(:delete).and_return response
  end

  it 'does a post to the rom protocol_subscription api' do
    url = "/dossiers/#{options[:dossier_id]}/fill_out_requests/#{options[:fill_out_request_id]}"
    expect(session).to receive(:delete).with(url)
    CancelFillOutRequest.run!(options)
  end

  it 'returns the response' do
    expect(CancelFillOutRequest.run!(options)).to eq(response)
  end
end
