require 'spec_helper'

describe GetMeasurement do
  let(:options) { {measurement_id: 1} }
  let(:api_path) { "/measurements/#{options[:measurement_id]}" }
  let(:response) { httparty_response \
    'id' => 1,
    'name' => 'meas',
    'questionnaires' => [{
      'id' => 2,
      'name' => 'quest'
    }] }
  let(:session)  { Fabricate :basic_auth_session }
  before { allow(BasicAuthSession).to receive(:new).and_return session }

  it 'returns a protocol object' do
    allow(session).to receive(:get).with(api_path).and_return response
    measurement = GetMeasurement.run(options).result

    expect(measurement).to be_a Measurement
    expect(measurement.id).to eq 1
    expect(measurement.name).to eq 'meas'
    expect(measurement.questionnaires.first.id).to eq 2
    expect(measurement.questionnaires.first.name).to eq 'quest'
  end
end
