require 'spec_helper'

describe GetProtocol do
  let(:options) { {protocol_id: 1} }
  let(:api_path) { "/protocols/#{options[:protocol_id]}" }
  let(:response) { httparty_response \
    'id' => 1,
    'name' => 'prot',
    'measurements' => [{
      'id' => 2,
      'name' => 'meas',
      'questionnaires' => [{
        'id' => 3,
        'name' => 'quest'
      }]
    }] }
  let(:session)  { Fabricate :basic_auth_session }
  before { allow(BasicAuthSession).to receive(:new).and_return session }

  it 'returns a protocol object' do
    allow(session).to receive(:get).with(api_path).and_return response
    protocol = GetProtocol.run(options).result

    expect(protocol).to be_a Protocol
    expect(protocol.id).to eq 1
    expect(protocol.name).to eq 'prot'
    expect(protocol.measurements.first.id).to eq 2
    expect(protocol.measurements.first.name).to eq 'meas'
    expect(protocol.measurements.first.questionnaires.first.id).to eq 3
    expect(protocol.measurements.first.questionnaires.first.name).to eq 'quest'
  end
end
