require 'spec_helper'

describe GetRespondent do
  let(:options) { {dossier_id: 'some_dossier_id', respondent_id: 2} }
  let(:api_path) { "/dossiers/some_dossier_id/respondents/2" }
  let(:response) { httparty_response \
    'id' => 2,
    'label' => 'Patiënt',
    'respondent_type' => 'patient'
  }
  let(:session)  { Fabricate :basic_auth_session }

  before { allow(BasicAuthSession).to receive(:new).and_return session }

  it 'returns a respondent object' do
    expect(session).to receive(:get).with(api_path).and_return response
    respondent = GetRespondent.run(options).result

    expect(respondent).to be_a Respondent
    expect(respondent.id).to eq 2
    expect(respondent.label).to eq 'Patiënt'
    expect(respondent.respondent_type).to eq 'patient'
  end
end
