require 'spec_helper'

describe ListAutoProtocols do
  let(:api_path) { "/auto_protocols" }
  let(:response) { httparty_response [{
    'id' => 1,
    'name' => 'prot'
    }] }
  let(:session)  { Fabricate :basic_auth_session }
  before { allow(BasicAuthSession).to receive(:new).and_return session }

  it 'returns an array of protocol objects' do
    allow(session).to receive(:get).with(api_path).and_return response
    auto_protocols = ListAutoProtocols.run.result

    expect(auto_protocols).to be_a(Array)
    expect(auto_protocols.first).to be_a AutoProtocol
    expect(auto_protocols.first.id).to eq 1
    expect(auto_protocols.first.name).to eq 'prot'
  end
end
