require 'spec_helper'

describe ListProtocolSubscriptions do
  let(:options)  { {dossier_id: '1'} }
  let(:api_path) { "/dossiers/#{options[:dossier_id]}/protocol_subscriptions" }
  let(:response) { httparty_response [{'id' => 1}] }
  let(:session)  { Fabricate :basic_auth_session }
  before { allow(BasicAuthSession).to receive(:new).and_return session }

  it 'returns an array of protocol_subscriptions objects' do
    allow(session).to receive(:get).with(api_path).and_return response
    protocol_subscriptions = ListProtocolSubscriptions.run(options).result

    expect(protocol_subscriptions).to be_a(Array)
    expect(protocol_subscriptions.first).to be_a(ProtocolSubscription)
    expect(protocol_subscriptions.first.id).to eq(1)
  end
end
