require 'spec_helper'

describe ListProtocols do
  let(:api_path) { "/protocols" }
  let(:response) { httparty_response [{
    'id' => 1,
    'name' => 'prot',
    'measurements' => [{
      'id' => 2,
      'name' => 'meas',
      'questionnaires' => [{
        'id' => 3,
        'name' => 'quest'
      }]
    }]}] }
  let(:session)  { Fabricate :basic_auth_session }
  before { allow(BasicAuthSession).to receive(:new).and_return session }

  it 'returns an array of protocol objects' do
    allow(session).to receive(:get).with(api_path).and_return response
    protocols = ListProtocols.run.result

    expect(protocols).to be_a(Array)
    expect(protocols.first).to be_a Protocol
    expect(protocols.first.id).to eq 1
    expect(protocols.first.name).to eq 'prot'
    expect(protocols.first.measurements.first.id).to eq 2
    expect(protocols.first.measurements.first.name).to eq 'meas'
    expect(protocols.first.measurements.first.questionnaires.first.id).to eq 3
    expect(protocols.first.measurements.first.questionnaires.first.name).to eq 'quest'
  end
end
