require 'spec_helper'

describe ListRespondents do
  let(:options) { {dossier_id: 'some_dossier_id'} }
  let(:api_path) { "/dossiers/some_dossier_id/respondents" }
  let(:response) { httparty_response \
    [{'id' => 2,
      'label' => 'Patiënt',
      'respondent_type' => 'patient'}]
  }
  let(:session)  { Fabricate :basic_auth_session }

  before { allow(BasicAuthSession).to receive(:new).and_return session }

  it 'returns an array of respondent objects' do
    expect(session).to receive(:get).with(api_path).and_return response
    respondents = ListRespondents.run(options).result
    respondent = respondents.first

    expect(respondent).to be_a Respondent
    expect(respondent.id).to eq 2
    expect(respondent.label).to eq 'Patiënt'
    expect(respondent.respondent_type).to eq 'patient'
  end
end
