require 'spec_helper'

describe Response do
  let(:response_body) do
    {'questionnaire_name' => 'RS-12',
     'questionnaire_key' => 'rs12',
     'respondent_id' => 2,
     'measurement_id' => 3,
     'non_response_id' => 4,
     'open_from' => '2014-02-19T14:15:49+01:00',
     'open_till' => '2014-02-20T14:15:49+01:00',
     'started_at' => '2014-02-19T15:15:49+01:00',
     'completer_type' => 'patient',
     'completed_at' => nil,
     'status' => 'open',
     'completing_url' => 'http://test.rom.roqua.eu/client/session/new?token=26aee9a4',
     'values' => {'some' => 'values'},
     'outcome' => {'some' => 'outcome'}}
  end

  it 'assigns fields to attr_accessors' do
    response = Response.new response_body
    expect(response.questionnaire_name).to eq 'RS-12'
    expect(response.questionnaire_key).to  eq 'rs12'
    expect(response.respondent_id).to      eq 2
    expect(response.measurement_id).to     eq 3
    expect(response.non_response_id).to    eq 4
    expect(response.open_from).to          eq DateTime.parse('2014-02-19T14:15:49+01:00')
    expect(response.open_till).to          eq DateTime.parse('2014-02-20T14:15:49+01:00')
    expect(response.started_at).to         eq DateTime.parse('2014-02-19T15:15:49+01:00')
    expect(response.completed_at).to       eq nil
    expect(response.completer_type).to     eq 'patient'
    expect(response.status).to             eq 'open'
    expect(response.completing_url).to     eq 'http://test.rom.roqua.eu/client/session/new?token=26aee9a4'
    expect(response.values).to             eq('some' => 'values')
    expect(response.outcome).to            eq('some' => 'outcome')
  end
end
