require 'spec_helper'

describe Stats do
  let(:response_body) do
    {
      '1' => {
        "responses" => {"total" => 10},
        "invitations" => {"total" => 2},
        "protocol_subscriptions" => {"total" => 4}
      },
      '2' => {
        "responses" => {"total" => 10},
        "invitations" => {"total" => 2},
        "protocol_subscriptions" => {"total" => 4}
      },
      '4' => {
        "responses" => {"total" => 11},
        "invitations" => {"total" => 7},
        "protocol_subscriptions" => {"total" => 1}
      }
    }
  end

  it 'assigns fields to attr_accessors' do
    stats = Stats.new dossiers: response_body

    expect(stats.dossiers.size).to eq 3

    expect(stats.dossiers["4"].responses["total"]).to eq 11
    expect(stats.dossiers["4"].invitations["total"]).to eq 7
    expect(stats.dossiers["4"].protocol_subscriptions["total"]).to eq 1
  end
end
