require 'spec_helper'

describe StopProtocolSubscription do
  let(:options)  { {dossier_id: 'some_dossier_id', protocol_subscription_id: 'some_protsub_id'} }
  let(:response) { httparty_response({}) }
  let(:session)  { Fabricate :basic_auth_session }
  before do
    allow(Sessions::BasicAuthSession).to receive(:new).and_return session
    allow(session).to receive(:delete).and_return response
  end

  it 'does a post to the rom protocol_subscription api' do
    url = "/dossiers/#{options[:dossier_id]}/protocol_subscriptions/#{options[:protocol_subscription_id]}"
    expect(session).to receive(:delete).with(url)
    StopProtocolSubscription.run!(options)
  end

  it 'returns the response' do
    expect(StopProtocolSubscription.run!(options)).to eq(response)
  end
end
